Skip to content
Search
Search the documentation
User
GitHub GitHub

User

Interface: User

Defined in: v0/index.ts:282

A user on Top.gg

Routes

  • GET /users/:user_id

Properties

admin

admin: boolean

Defined in: v0/index.ts:367

The admin status of the user.

TODO: Clarify what “admin” means in this context. It may refer to users who are administrators on Top.gg, but this is not explicitly stated in the documentation.


avatar?

optional avatar?: string

Defined in: v0/index.ts:298

The avatar hash of the user’s avatar.


optional banner?: string

Defined in: v0/index.ts:312

The banner image URL of the user.


bio?

optional bio?: string

Defined in: v0/index.ts:308

The bio of the user. This is a short description that the user can set on their profile. It may be empty or null if the user has not set a bio.

This is NOT their in-discord bio.


certifiedDev

certifiedDev: boolean

Defined in: v0/index.ts:353

The certified status of the user.

TODO: Clarify what “certified” means in this context. It may refer to users who are certified bot developers or top.gg staff, but this is not explicitly stated in the documentation.


color?

optional color?: string

Defined in: v0/index.ts:341

The custom hex color of the user (not guaranteed to be valid hex). This is a color that the user can set on their profile.


defAvatar

defAvatar: string

Defined in: v0/index.ts:302

The cdn hash of the user’s avatar if the user has none.


discriminator

discriminator: string

Defined in: v0/index.ts:294

The discriminator of the user (legacy Discord feature, e.g., “0000”).


id

id: string

Defined in: v0/index.ts:286

The Discord ID for this user.


mod

mod: boolean

Defined in: v0/index.ts:357

The mod status of the user. This is true if the user is a moderator on Top.gg.


social

social: object

Defined in: v0/index.ts:316

The social usernames of the user

github?

optional github?: string

The GitHub username of the user (e.g., “torvalds”). This is not the full URL, just the username.

instagram?

optional instagram?: string

The Instagram username of the user (e.g., “instagram”). This is not the full URL, just the username.

reddit?

optional reddit?: string

The Reddit username of the user (e.g., “spez”). This is not the full URL, just the username.

twitter?

optional twitter?: string

The Twitter username of the user (e.g., “jack”). This is not the full URL, just the username.

youtube?

optional youtube?: string

The YouTube channel ID of the user. This is not the full URL, just the channel ID (e.g., “UC_x5XG1OV2P6uZZ5FSM9Ttw”).


supporter

supporter: boolean

Defined in: v0/index.ts:347

The supporter status of the user. This is true if the user has voted for any bot in the last month.

TODO: Clarify what “supporter” means in this context. It may refer to users who have voted for any bot in the last month, but this is not explicitly stated in the documentation.


username

username: string

Defined in: v0/index.ts:290

The username of the user, not including discriminator (e.g., “wumpus”).


webMod

webMod: boolean

Defined in: v0/index.ts:361

The website moderator status of the user. This is true if the user is a website moderator on Top.gg.